<?php
/**
 * app/plugins/wip/controllers/wip.php
 *
 * This is the bug reports controller.
 *
 * @package TP Wip
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Controllers;

use TheTempusProject\Houdini\Classes\Issues;
use TheTempusProject\Houdini\Classes\Views;
use TheTempusProject\Classes\Controller;
use TheTempusProject\Models\Projects;

class Wip extends Controller {
    protected static $projects;

    public function index() {
        self::$projects = new Projects;
        self::$title = '{SITENAME} - Works in Progress';
        self::$pageDescription = 'Its not the longest wip in the world, but I\'m certainly proud of it.';

        $projects = self::$projects->listPaginated();
        if ( false == $projects ) {
            Issues::add( 'error', 'Well, this is embarrassing, surely he wouldn\'t just have no wip..... right.... Dave? ... erm Joey?' );
            return;
        } else {
            Views::view( 'wip.wip', self::$projects->listPaginated() );
        }
    }
}
